Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlDeclHandler

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlDeclHandler

All Implemented Interfaces:
  QtJambiInterface, QXmlDeclHandlerInterface

    public abstract class QXmlDeclHandler

extends QtJambiObject
implements QXmlDeclHandlerInterface

The `QXmlDeclHandler` class provides an interface to report declaration content of XML data.

You can set the declaration handler with QXmlReader::setDeclHandler().

This interface is based on the SAX2 extension DeclHandler.

The interface provides `attributeDecl`, `internalEntityDecl` and `externalEntityDecl` functions.

See Also:
  `QXmlDTDHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlErrorHandler`, `QXmlLexicalHandler`, `to SAX2`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QXmlDeclHandler()` Creates a new QXmlDeclHandler.

Method Summary
`abstract boolean` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` The reader calls this function to report an attribute type declaration.
`abstract java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`abstract boolean` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` The reader calls this function to report a parsed external entity declaration.
`static QXmlDeclHandler` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QXmlDeclHandler instance pointed to by nativePointer
`abstract boolean` | `internalEntityDecl(java.lang.String name, java.lang.String value)` The reader calls this function to report an internal entity declaration.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlDeclHandler

    public QXmlDeclHandler()

  Creates a new QXmlDeclHandler.

Method Detail

### attributeDecl

    public abstract boolean attributeDecl(java.lang.String eName,
                                          java.lang.String aName,
                                          java.lang.String type,
                                          java.lang.String valueDefault,
                                          java.lang.String value)

  The reader calls this function to report an attribute type declaration. Only the effective (first) declaration for an attribute is reported.

  The reader passes the name of the associated element in `eName` and the name of the attribute in `aName`. It passes a string that represents the attribute type in `type` and a string that represents the attribute default in `valueDefault`. This string is one of "#IMPLIED", "#REQUIRED", "#FIXED" or an empty string (if none of the others applies). The reader passes the attribute's default value in `value`. If no default value is specified in the XML file, `value` is an empty string.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

  Specified by:
    `attributeDecl` in interface `QXmlDeclHandlerInterface`

### errorString

    public abstract java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

  Specified by:
    `errorString` in interface `QXmlDeclHandlerInterface`

### externalEntityDecl

    public abstract boolean externalEntityDecl(java.lang.String name,
                                               java.lang.String publicId,
                                               java.lang.String systemId)

  The reader calls this function to report a parsed external entity declaration. Only the effective (first) declaration for each entity is reported.

  The reader passes the name of the entity in `name`, the public identifier in `publicId` and the system identifier in `systemId`. If there is no public identifier specified, it passes an empty string in `publicId`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

  Specified by:
    `externalEntityDecl` in interface `QXmlDeclHandlerInterface`

### internalEntityDecl

    public abstract boolean internalEntityDecl(java.lang.String name,
                                               java.lang.String value)

  The reader calls this function to report an internal entity declaration. Only the effective (first) declaration is reported.

  The reader passes the name of the entity in `name` and the value of the entity in `value`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

  Specified by:
    `internalEntityDecl` in interface `QXmlDeclHandlerInterface`

### fromNativePointer

    public static QXmlDeclHandler fromNativePointer(QNativePointer nativePointer)

  This function returns the QXmlDeclHandler instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD